%global _empty_manifest_terminate_build 0
Name:		python-flufl.lock
Version:	7.1.1
Release:	1
Summary:	NFS-safe file locking with timeouts for POSIX and Windows.
License:	Apache-2.0
URL:		https://pypi.org/project/flufl.lock
Source0:	https://files.pythonhosted.org/packages/35/33/d3baecd2545b9ae842f4df356aaa4a1816191eff737264542e9d27c5ec3b/flufl.lock-7.1.1.tar.gz
BuildArch:	noarch

%description
The flufl.lock library provides an NFS-safe file-based locking algorithm
influenced by the GNU/Linux "open(2)" man page, under the description of
the "O_EXCL" option.

%package -n python3-flufl.lock
Summary:	NFS-safe file locking with timeouts for POSIX and Windows.
Provides:	python-flufl.lock
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-pip
BuildRequires:	python3-wheel
BuildRequires:	python3-pdm-pep517

%description -n python3-flufl.lock
The flufl.lock library provides an NFS-safe file-based locking algorithm
influenced by the GNU/Linux "open(2)" man page, under the description of
the "O_EXCL" option.

%package help
Summary:	Development documents and examples for flufl.lock
Provides:	python3-flufl.lock-doc

%description help
Development documents and examples for flufl.lock.

%prep
%autosetup -n flufl.lock-%{version} -p1

%build
%pyproject_build

%install
%pyproject_install flufl.lock==%{version}

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-flufl.lock -f filelist.lst
%dir %{python3_sitelib}/*
%{python3_sitelib}/flufl/lock/

%files help -f doclist.lst
%{_pkgdocdir}

%changelog
* Sat May 6 2023 caodongxia <caodongxia@h-partners.com> - 7.1.1-1
- Update version to 7.1.1

* Tue May 17 2022 liukuo <liukuo@kylinos.cn> - 5.0.3-3
- License compliance rectification

* Thu Dec 31 2020 leiju <leiju4@huawei.com>
- Modify Spec and yaml filename

* Thu Dec 17 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
